/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cv2.model;

import java.time.LocalDate;
import java.time.Period;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author nav79
 */
public class Auto {
    private String Znacka;
    private List<String> historieMajitelu = new ArrayList<>();
    private String vyrobce;
    private LocalDate datumUvedeniDoProvozu;

    public int getPocetPredchozichMajitelu() {
        return historieMajitelu.size();
    }

    public int getStariVozidla() {
        return Period.between(datumUvedeniDoProvozu,LocalDate.now()).getYears();
    }

    public LocalDate getDatumUvedeniDoProvozu() {
        return datumUvedeniDoProvozu;
    }

    public void setDatumUvedeniDoProvozu(LocalDate datumUvedeniDoProvozu) {
        this.datumUvedeniDoProvozu = datumUvedeniDoProvozu;
    }

    public String getZnacka() {
        return Znacka;
    }

    public void setZnacka(String Znacka) {
        this.Znacka = Znacka;
    }

    public String getVyrobce() {
        return vyrobce;
    }

    public void setVyrobce(String vyrobce) {
        this.vyrobce = vyrobce;
    }

    public List<String> getHistorieMajitelu() {
        return historieMajitelu;
    }

    public void setHistorieMajitelu(List<String> historieMajitelu) {
        this.historieMajitelu = historieMajitelu;
    }

    public String getHistorieMajitelu(int index) {
        return this.historieMajitelu.get(index);
    }

    public void setHistorieMajitelu(int index, String historieMajitelu) {
        if (index<0 || index >=this.historieMajitelu.size()) {
            this.historieMajitelu.add(historieMajitelu);
        }
        this.historieMajitelu.set(index, historieMajitelu);
    }
}
